<div style="width: 400px; margin: auto;">
  <div class="submit-form">
    <div *ngIf="!submitted">
      <div class="form-group">
        <label for="programName">Program name</label>
        <input
          type="text"
          class="form-control"
          id="programName"
          required
          [(ngModel)]="program.programName"
          name="programName"
        />
      </div>

      <div class="form-group">
        <label for="programDescription">Program Description</label>
        <input
          class="form-control"
          id="programDescription"
          required
          [(ngModel)]="program.programDescription"
          name="programDescription"
        />
      </div>

      <div class="form-group">
        <label for="programType">Program Type</label>
        <input
          class="form-control"
          id="programType"
          required
          [(ngModel)]="program.programType"
          name="programType"
        />
      </div>

      <div class="form-group">
        <label for="programStartdate">Program Startdate</label>
        <input
          class="form-control"
          id="programStartdate"
          required
          [(ngModel)]="program.programStartdate"
          name="programStartdate"
        />
      </div>

      <div class="form-group">
        <label for="programPrice">Program Price</label>
        <input
          class="form-control"
          id="programPrice"
          required
          [(ngModel)]="program.programPrice"
          name="programPrice"
        />
      </div>

      <button (click)="saveProgram()" class="btn btn-success">Submit</button>
    </div>

    <div *ngIf="submitted">
      <h4>You submitted successfully!</h4>
      <button class="btn btn-success" (click)="newProgram()">Add</button>
    </div>
  </div>
</div>
